/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.TipoConvenio;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author Shiro
 */
public class RenderTipoConvenio implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        TipoConvenio tc = (TipoConvenio) o;

        Listcell lc = new Listcell(tc.getTipoConvenioID().toString());
        lc.setParent(lstm);

        lc = new Listcell(tc.getDescTipo());
        lc.setParent(lstm);

        lstm.setAttribute("data", tc);
    }
}
